org.eclipse.jdt.junit.wizards

## Class NewTestCaseWizardPageTwo

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.jdt.junit.wizards.NewTestCaseWizardPageTwo

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

    public class NewTestCaseWizardPageTwo
    extends WizardPage

The class `NewTestCaseWizardPageTwo` contains controls and validation routines for the second page of the 'New JUnit TestCase Wizard'.

Clients can use the page as-is and add it to their own wizard, or extend it to modify validation or add and remove controls.

Since:
  3.1

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`NewTestCaseWizardPageTwo()` Creates a new `NewTestCaseWizardPageTwo`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`IMethod[]` `getAllMethods()` Returns all the methods in the methods tree.
`IMethod[]` `getCheckedMethods()` Returns all checked methods in the methods tree.
`boolean` `getCreateFinalMethodStubsButtonSelection()` Returns true if the checkbox for final method stubs is checked.
`boolean` `isCreateTasks()` Returns true if the checkbox for creating tasks is checked.
`void` `setClassUnderTest(IType classUnderTest)` Sets the class under test.
`void` `setVisible(boolean visible)`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### NewTestCaseWizardPageTwo

    public NewTestCaseWizardPageTwo()

Creates a new `NewTestCaseWizardPageTwo`.

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### setClassUnderTest

    public void setClassUnderTest(IType classUnderTest)

Sets the class under test.

Parameters:
  `classUnderTest` - the class under test

#### setVisible

    public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `DialogPage`

#### getCheckedMethods

    public IMethod[] getCheckedMethods()

Returns all checked methods in the methods tree.

Returns:
  the checked methods

#### isCreateTasks

    public boolean isCreateTasks()

Returns true if the checkbox for creating tasks is checked.

Returns:
  `true` is returned if tasks should be created

#### getCreateFinalMethodStubsButtonSelection

    public boolean getCreateFinalMethodStubsButtonSelection()

Returns true if the checkbox for final method stubs is checked.

Returns:
  `true` is returned if methods should be created final

#### getAllMethods

    public IMethod[] getAllMethods()

Returns all the methods in the methods tree.

Returns:
  all methods in the methods tree